Bug 1478200 - Generic Service State Machine missing retry interval
Generic Service State Machine missing retry interval
Status: POST
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Automate (Show other bugs)
5.7.0
Unspecified Unspecified
high Severity high
: GA
: 5.9.0
Assigned To: William Fitzgerald
Dmitry Misharov
ansible:service:automate
: TestOnly, ZStream
Depends On:
Blocks: 1479423
  Show dependency treegraph
 
Reported: 2017-08-03 17:41 EDT by Tina Fitzgerald
Modified: 2017-08-10 08:12 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
: 1479423 (view as bug list)
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tina Fitzgerald 2017-08-03 17:41:39 EDT
Description of problem: Generic Service State Machine check_completed method does not specify the retry interval.

How reproducible:
100%

Steps to Reproduce:
1. Provision an Ansible Service
2. Check evm.log and search for "Requeuing" for the service_template_provision_task 
 [check_completed] to Automate for delivery in [0] second

Actual results:
----] I, [2017-08-03T16:46:57.100345 #94582:3fc1bd03f87c]  INFO -- : Q-task_id([service_template_provision_task_800]) MIQ(MiqAeEngine.deliver) Requeuing {:object_type=>"ServiceTemplateProvisionTask", :object_id=>800, :namespace=>"Service/Generic/StateMachines", :class_name=>"GenericLifecycle", :instance_name=>"provision", :automate_message=>"create", :attrs=>{"dialog_credential"=>"", "dialog_hosts"=>"localhost", "dialog_param_hosts"=>"localhost", "dialog_param_pkg"=>"httpd", "dialog_param_sleep"=>"120", "dialog_param_user"=>"root", "request"=>"clone_to_service", :service_action=>"Provision", "Service::Service"=>260}, :user_id=>1, :miq_group_id=>2, :tenant_id=>1, :state=>"check_completed", :ae_fsm_started=>nil, :ae_state_started=>"2017-08-03 20:45:06 UTC", :ae_state_retries=>9, :ae_state_previous=>"---\n\"/ManageIQ/Service/Generic/StateMachines/GenericLifecycle/provision\":\n  ae_state: check_completed\n  ae_state_retries: 9\n  ae_state_started: 2017-08-03 20:45:06 UTC\n"} for object [ServiceTemplateProvisionTask.800] with state [check_completed] to Automate for delivery in [0] second

Expected results:
Expect the retry to wait 1.minute before retrying
Comment 2 Dave Johnson 2017-08-03 19:50:32 EDT
Please assess the impact of this issue and update the severity accordingly.  Please refer to https://bugzilla.redhat.com/page.cgi?id=fields.html#bug_severity for a reminder on each severity's definition.

If it's something like a tracker bug where it doesn't matter, please set it to Low/Low.
Comment 4 CFME Bot 2017-08-04 14:28:44 EDT
New commit detected on ManageIQ/manageiq-content/master:
https://github.com/ManageIQ/manageiq-content/commit/6164edd9f90274c362e60332d78874b97b8c2507

commit 6164edd9f90274c362e60332d78874b97b8c2507
Author:     william fitzgerald <wfitzger@redhat.com>
AuthorDate: Fri Aug 4 10:53:44 2017 -0400
Commit:     william fitzgerald <wfitzger@redhat.com>
CommitDate: Fri Aug 4 10:53:44 2017 -0400

    Set default retry interval to 1 minute for generic service state-machine.
    
    Set ae_retry_interval to 1 minute in check_completed method.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1478200
    
    @miq-bot add_label bug, services, fine/yes
    @miq-bot assign @gmcculloug

 .../StateMachines/GenericLifecycle.class/__methods__/check_completed.rb  | 1 +
 1 file changed, 1 insertion(+)

Note You need to log in before you can comment on or make changes to this bug.